package com.usky.oa.controller.web;


import com.usky.oa.domain.OaDocument;
import com.usky.oa.service.OaApprovalService;
import com.usky.oa.service.vo.OaApprovalCountVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import java.util.List;

/**
 * <p>
 * 审批表 前端控制器
 * </p>
 *
 * @author fu
 * @since 2024-12-10
 */
@RestController
@RequestMapping("/oaApproval")
public class OaApprovalController {

    @Autowired
    private OaApprovalService oaApprovalService;

    /**
     * @description: 新增审批
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2024/12/30 16:18
     * @param: []
     * @return: void
     **/
    @PostMapping("/add")
    public void addApproval() {

    }

    /**
     * @description: 修改审批
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2024/12/30 16:19
     * @param: []
     * @return: void
     **/
    @PostMapping("/update")
    public void updateApproval() {

    }

    /**
     * @description: 删除审批
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2024/12/30 16:19
     * @param: []
     * @return: void
     **/
    @DeleteMapping("/del")
    public void delApproval() {

    }

    /**
     * @description: 获取审批数量
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2024/12/30 16:19
     * @param: []
     * @return: void
     **/
    @GetMapping("/approvalCount")
    public OaApprovalCountVO approvalCount() {
        return oaApprovalService.approvalCount();
    }


}

